--[[
==myHonor==
By Smokey aka Mahuatahu on Earthen Ring Horde US

==To do list==
2.) (maybe?) own GUI instead of data broker --too lazy now, convenient when built into Titan Panel or FuBar
3.) BG WEEKEND
==Changelog==
1.4.3: Added new lib, made things cleaner code wise. New "Points Spent This Session" feature in honor. You can reset all session related data by typing "/mh reset" now. Session honor should no longer show up as negative after you spent more points than you've earned in the session. This would mess up honor per hour and all that good stuff.
1.4.2: *When you tried to display goals on the bar when they were 0 you would get a nil error, this is fixed.
1.4.1: *Updated help *Choice to auto hide quest tracker upon entry to arena or battlegrounds *slash command available for tool tip change for macros etc
1.4.0: Conquest Tooltip! More Colors, other stuff.
1.3.2: Pesky nil error on line 191 should be fixed.
1.3.1: Conquest points! probably going to move to it's own addon shortly since Honor is taking up a huge portion.
1.3.0: Finally functional BG Count. Fixed some errors along the way.  Updates to Localization.
--]]

--GetBattlegroundInfo(i) space 5 THIS IS FOR HOLIDAY. USE IT LATER BRO
-- with GetNumBattlegroundTypes()

--[[ 
	Config
--]]
local mhVersion = GetAddOnMetadata("myHonor", "Version")
local mhAddon = "myHonor"
local mqVersion = GetAddOnMetadata("myHonor", "Version")
local mqAddon = "myConquest"

-- Initializing the object and frame
local honorIcon = "Interface\\PVPFrame\\PVP-Currency-"..UnitFactionGroup("player")
local conquestIcon = "Interface\\PVPFrame\\PVPCurrency-Conquest-"..UnitFactionGroup("player")
local OnEvent = function(self, event, ...) self[event](self, event, ...) end
local dataobj = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("myHonor", {
	type = "data source",
	icon = honorIcon,
})
local myHonor = {}
local frame = CreateFrame"Frame"

-- [[    Varibles, etc    ]] --
local session, total, startTime
local mhTooltip = 1
local HonorGained, SessionHonor, StartingHonor, BGHonor, LastBG, HonorBefore = 0, 0, 0, 0, 0, 0, 0, 0, 0
local ConqTotal, StartingConquest = 0, 0
local HonorGained_InBG = 0
local BGCount, AvgHonor, EnteredBG, InBG, perHour = 0,0,0,0,0
local FinallyLoaded, AddonLded, BGstatistics, LastDate = nil, nil, true, nil
local VarisLoaded = false
local myHonor_BGCONF = 0
local myHonor_BGAUTOJOINTIMER = 30
local HonorGoal, HonorGoalFinal, ConquestGoalFinal, ConquestGoal = 0, 0, 0, 0
local Splashed = 1
local mhDisplay, mqDisplay = 1, 1
local mhHonorToday, mhHonorYesterday = 0, 0
local BGTotal = 0
local StartingHKs, SessionHKs, TotalHKs = 0,0,0
local ConquestGained, SessionCP, BGConquest, LastBG, ConquestBefore = 0, 0, 0, 0, 0, 0, 0, 0
local ConquestGained_InBG = 0
local WGCount, AvgCP, EnteredWG, InWG, WGHonor = 0,0,0,0,0
local ConqCap, ConqCapTotal = 0, 0
local mhAutoQuest, mhAutoShow = 1, 0
local SpentPoints = 0
local TotalDmg, TotalHeals, BGDmg, BGHeals = 0,0,0,0


frame:SetScript("OnEvent", OnEvent)
frame:RegisterEvent"PLAYER_ENTERING_WORLD"
frame:RegisterEvent"PLAYER_LEAVING_WORLD"
frame:RegisterEvent"CURRENCY_DISPLAY_UPDATE"
frame:RegisterEvent"ADDON_LOADED"
frame:RegisterEvent"PLAYER_LOGOUT"

if (BGstatistics==true) then

	frame:RegisterEvent"UPDATE_BATTLEFIELD_SCORE"

end


--[[
	End Configuration
]]--

--[[   We're logging in or entering the world, let's do work on shit    ]] --
function frame:PLAYER_ENTERING_WORLD()
	if(not myHonor) then
		myHonor = {}
	end
	if (not startTime) then
		startTime = time()
	end
    HonorGained = (select(2,GetCurrencyInfo(HONOR_CURRENCY)))
	ZoneInfo = (select(2, IsInInstance()))
	InBG = 0
	  if (ZoneInfo == "pvp") then
	     InBG = 1 --In a battleground
 	     BGCount = BGCount + 1
		 BGTotal = tonumber(BGTotal) or 0
		 BGTotal = BGTotal + 1
	     HonorGained_InBG = HonorGained_InBG + BGHonor
	     LastBG = BGHonor
	     BGHonor = 0
         HonorBefore = (select(2,GetCurrencyInfo(HONOR_CURRENCY)))
		 BGDmg = 0
		 BGHeals = 0
		 --Should we hide the quest tracker?
		 if (mhAutoQuest==1) then --yes
		 	if (mhAutoHide==0) then
				 HideUIPanel(WatchFrame)
				 mhAutoHide = 1
			end
		 end
	  elseif (ZoneInfo == "none") then
	  	 --Leaving Battle zone, should we bring back quest tracker?
		 if (mhAutoQuest==1) then --yes
		 	if (mhAutoHide==1) then
				 ShowUIPanel(WatchFrame)
				 mhAutoHide = 0
			end
		 end
			 InBG = 0 --Not in a battleground
	  elseif (ZoneInfo == "arena") then
	  	 InWG = 1
		 WGCount = WGCount + 1
		 ConquestGained_InBG = ConquestGained_InBG + WGHonor
	     LastWG = WGHonor
	     WGHonor = 0
         ConquestBefore = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY)))
		 --Should we hide the quest tracker?
		 if (mhAutoQuest==1) then --yes
		 	if (mhAutoHide==0) then
				 HideUIPanel(WatchFrame)
				 mhAutoHide = 1
			end
		 end
	  end
	
	if (FinallyLoaded==nil) then
	self:CheckHonor()
	end
end



---------------------
--Currency updating--
---------------------
function frame:CURRENCY_DISPLAY_UPDATE()

HonorGained = (select(2,GetCurrencyInfo(HONOR_CURRENCY)))
ConqTotal = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY)))

	if (FinallyLoaded==true) then
		if (SessionHonor>0) then
			SessionHonor = (select(2,GetCurrencyInfo(HONOR_CURRENCY))) - StartingHonor
		else
			SessionHonor = SessionHonor
		end
		if (SessionCP>0) then
			SessionCP = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY))) - StartingConquest
		else
			SessionCP = SessionCP
		end
		SessionHKs = GetPVPLifetimeStats() - StartingHKs
			if (mhHonorToday==SessionHonor) then
				mhHonorToday = tonumber(mhHonorToday) or 0
				mhHonorToday = mhHonorToday + tonumber(SessionHonor)
			else
				mhHonorToday = tonumber(SessionHonor)
			end
		TotalHKs = GetPVPLifetimeStats()
		ConqCap = (select(5,GetCurrencyInfo(CONQUEST_CURRENCY)))
		ConqCapTotal = (select(4,GetCurrencyInfo(CONQUEST_CURRENCY)))


			if (not LastDate==string.sub(date(),0,8)) then --different day, clear honor today
			
			end
	

	end
	
	if (InBG==1) then
		BGHonor = (select(2,GetCurrencyInfo(HONOR_CURRENCY))) - HonorBefore
		BGConquest = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY))) - ConquestBefore
	end
	
	if (BGCount>0) then
		AvgHonor = HonorGained_InBG / BGCount   
	end
	
	if (WGCount>0) then
		AvgCP = ConquestGained_InBG / WGCount   
	end

	if (Splashed==0) then

		if (HonorGoal==0) then return end
		if (HonorGoal<HonorGained) then

			CombatText_AddMessage(mH_TXT_GOALMET, CombatText_StandardScroll, 1, 0.50, 0)
			RaidNotice_AddMessage(RaidWarningFrame, mH_TXT_GOALMET, ChatTypeInfo["RAID_WARNING"])
			DEFAULT_CHAT_FRAME:AddMessage(mH_TXT_GOALMET, 1, 0.50, 0)
			PlaySound("RaidWarning")
			Splashed = 1

		end
	
		if (ConquestGoal==0) then return end
		if (ConquestGoal<ConqTotal) then

			CombatText_AddMessage(mq_TXT_GOALMET, CombatText_StandardScroll, 1, 0.50, 0)
			RaidNotice_AddMessage(RaidWarningFrame, mq_TXT_GOALMET, ChatTypeInfo["RAID_WARNING"])
			DEFAULT_CHAT_FRAME:AddMessage(mq_TXT_GOALMET, 1, 0.50, 0)
			PlaySound("RaidWarning")
			Splashed = 1

		end

	end

	if (ConquestGoal>0) then
		ConquestGoalFinal = ConquestGoal - ConqTotal
	end
	if (ConquestGoal<ConqTotal) then
		ConquestGoalFinal = GreenText("N/A")
	end

	if (HonorGoal>0) then
		HonorGoalFinal = HonorGoal - HonorGained
	else
		HonorGoalFinal = 0
	end
	if (HonorGoal<HonorGained) then
		HonorGoalFinal = GreenText("N/A")
	end

	if (mhDisplay==1) then
		dataobj.value = HonorGained
		dataobj.text = Should_I_Be_Red(HonorGained)..mH_BAR_ONE
	elseif (mhDisplay==2) then
		dataobj.value = SessionHonor
		dataobj.text = Should_I_Be_Red(SessionHonor)..mH_BAR_TWO
	elseif (mhDisplay==3) then
		dataobj.value = HonorGoalFinal
		dataobj.text = HonorGoalFinal..mH_BAR_THREE
	elseif (mhDisplay==4) then
		dataobj.value = BGHonor
		dataobj.text = Should_I_Be_Red(BGHonor)..mH_BAR_FOUR
	elseif (mhDisplay==5) then
		dataobj.value = AvgHonor
		dataobj.text = Should_I_Be_Red(AvgHonor)..mH_BAR_FIVE
	elseif (mhDisplay==6) then
		dataobj.value = TotalHKs
		dataobj.text = Should_I_Be_Red(TotalHKs)..mH_BAR_SIX
	elseif (mhDisplay==7) then
		dataobj.value = SessionHKs
		dataobj.text = Should_I_Be_Red(SessionHKs)..mH_BAR_SEVEN
	elseif (mhDisplay==8) then
		dataobj.value = ConqTotal
		dataobj.text = Should_I_Be_Red(ConqTotal)..mH_BAR_EIGHT
	elseif (mhDisplay==9) then
		dataobj.value = SessionCP
		dataobj.text = Should_I_Be_Red(SessionCP)..mH_BAR_NINE
	elseif (mhDisplay==10) then
		dataobj.value = ConquestGoalFinal
		dataobj.text = ConquestGoalFinal..mH_BAR_TEN
	elseif (mhDisplay==11) then
		dataobj.value = AvgCP
		dataobj.text = Should_I_Be_Red(AvgCP)..mH_BAR_ELEVEN
	elseif (mhDisplay==12) then
		dataobj.value = ConqCap
		dataobj.text = Should_I_Be_Red(ConqCapTotal).."/"..GreenText(ConqCap)..mH_BAR_TWELVE
	end

end

function frame:ADDON_LOADED(arg1)

--if (arg1=="myHonor") then --good to go, set variables
if (VarisLoaded==true) then
return;
else
local AceDB = LibStub("AceDB-3.0")
local db = AceDB:New("myHonorDB", defaults, nil)
self.db = db
	if (myHonor_BGStats) then BGstatistics = myHonor_BGStats end
	if (myHonor_DATE) then LastDate = myHonor_DATE end
	if (myHonor_Goal) then HonorGoal = myHonor_Goal end
	if (myHonor_Display) then mhDisplay = myHonor_Display end
	if (myHonor_HonorToday) then mhHonorToday = myHonor_HonorToday end
	if (myHonor_HonorYesterday) then mhHonorYesterday = myHonor_HonorYesterday end
	if (mh_BGCount) then BGTotal = tonumber(mh_BGCount) end
	if (mhTTDisplay) then mhTooltip = mhTTDisplay end
	if (myConquest_Goal) then ConquestGoal = myConquest_Goal end
	if (myConquest_Display) then mqDisplay = myConquest_Display end
	if (mq_BGCount) then WGTotal = tonumber(mq_BGCount) end
	if (myHonor_AHQ) then mhAutoQuest = myHonor_AHQ end
	VarisLoaded = true
	if (LastDate) then
	if (tonumber(string.sub(LastDate,4,5))==tonumber((string.sub(date(),4,5)-1))) then --yesterday
		BGTotal = 0
		mh_BGCount = 0
		mhHonorYesterday = mhHonorToday
		mhHonorToday = 0
	else
		mhHonorToday = 0
		mhHonorYesterday = 0
	end
	end

end

end

function frame:PLAYER_LEAVING_WORLD()

self:SaveStuff()

end

function frame:PLAYER_LOGOUT()

self:SaveStuff()

end

function frame:SaveStuff()

local TheDate = string.sub(date(),0,8)

myHonor_BGStats = BGstatistics
myHonor_DATE = TheDate
myHonor_Goal = HonorGoal
myHonor_Display = mhDisplay
myHonor_HonorToday = mhHonorToday
myHonor_HonorYesterday = mhHonorYesterday
mh_BGCount = BGTotal
mhTTDisplay = mhTooltip
myHonor_AHQ = mhAutoQuest

myConquest_DATE = TheDate
myConquest_Goal = ConquestGoal
myConquest_Display = mqDisplay
mq_BGCount = WGTotal

end

function frame:UPDATE_BATTLEFIELD_SCORE()

local PlayerName, myFaction, myDamage, myHealing, playerWon = 0,0,0,0,0
--Work in progress, i'm convinced it is no longer possible to do this with an add-on.
for i=1, GetNumBattlefieldScores() do

		local name, _, _, _, _, _, race, class, classToken, damageDone, healingDone = GetBattlefieldScore(i)
				
		if (name==UnitName("player")) then
			PlayerName = name
			myFaction = faction
			myDamage = damageDone
			myHealing = healingDone
		end
		
end

if (InBG==1) then

BGDmg = myDamage
BGHeals = myHealing

	if( GetBattlefieldWinner() ) then
		--playerWon = 1
		TotalDmg = tonumber(TotalDmg) or 0
		TotalDmg = tonumber(TotalDmg)+tonumber(BGDmg)
		TotalHeals = tonumber(TotalHeals) or 0
		TotalHeals = tonumber(TotalHeals)+tonumber(BGHeals)
		BGDmg = 0
		BGHeals = 0
		InBG = 0
	end
end


end

-- [[   The tooltip  ]] --
function dataobj.OnTooltipShow(tooltip)

	 local hc, InBGtext, pname, rname, fname = 0, 0, 0, 0, 0
     pname = GetHighText(UnitName("player"))
     rname = GreenText(GetCVar("realmname"))
     fname = UnitFactionGroup("player")
     hc = GetPVPLifetimeStats()
	 local sessionTime = time() - startTime
	 local AJBGtext
	 local HonorGoalFinal, HonorGoalTime, ConquestGoalFinal, ConquestGoalTime = 0, 0, 0, 0
     if (InBG==1) then
     	InBGtext = RedText(GetZoneText())
     	else 
     	InBGtext = GreenText("No")
     end
	 if (BGstatistics==true) then
	 	AJBGtext = "Enabled"
	 	else
	 	AJBGtext = "Disabled"
	 end
--which tooltip to select, Honor or Conquest
 if (mhTooltip==1) then
	if (SessionHonor>0) then
		if (startTime) then perHour = SessionHonor / sessionTime * 3600 end
	else
		perHour = 0
	end
	--xpPerHour = 
	if (fname=="Alliance") then
        fname = BlueText(UnitFactionGroup("player"))
     else
        fname = RedText(UnitFactionGroup("player"))
     end
	 if (HonorGoal>0) then
	 	HonorGoalFinal = HonorGoal - HonorGained
		if (BGCount>0) then
			if (AvgHonor>0) then
				HonorGoalTime = HonorGoalFinal/AvgHonor
				HonorGoalTime = format("%d",HonorGoalTime)
			else
				HonorGoalTime = "N/A"
			end
		else
			HonorGoalTime = "N/A"
		end
	 else
	 	HonorGoalFinal = "N/A"
	 end
	 if (HonorGoal==0) then
	 HonorGoalTime = GetHighText("N/A")
	 elseif (HonorGoal<HonorGained) then
		HonorGoalFinal = GreenText("Goal Accomplished!")
	 end
	-- Arena points
	--local arena = GetArenaCurrency()
	--if(arena > 0) then
	--	tooltip:AddDoubleLine("Arena points:", arena.." "..texturizeIcon(arenaIcon), 1,1,1, 0,1,0)
	--end

	tooltip:AddLine(pname.." - "..rname.." ("..fname..")")
	tooltip:AddLine(GetHighText(mhAddon.." v"..mhVersion))
	tooltip:AddLine(" ")
	tooltip:AddDoubleLine(mH_TT_STATUS,InBGtext)
	tooltip:AddDoubleLine(mH_TT_TOTALPTS,GetHighText(StartingHonor))
	tooltip:AddDoubleLine(mH_TT_TOTALHKS,GetHighText(hc))
	tooltip:AddDoubleLine(mH_TT_TODAYPTS,GetHighText(mhHonorToday))
	tooltip:AddDoubleLine(mH_TT_YESPTS,GetHighText(mhHonorYesterday))
	tooltip:AddLine("----------------------------------")
	tooltip:AddLine(GetHighText(mH_TT_SESSIONSTATS))
	tooltip:AddDoubleLine(mH_TT_SESSIONPTS,Should_I_Be_Red(SessionHonor))
	tooltip:AddDoubleLine(mH_TT_SESSIONHKS,Should_I_Be_Red(SessionHKs))
	tooltip:AddDoubleLine(mH_TT_TTLDMG,RedText(siUnits(TotalDmg)))
	tooltip:AddDoubleLine(mH_TT_TTLHEAL,GreenText(siUnits(TotalHeals)))
	tooltip:AddLine("----------------------------------")
	tooltip:AddDoubleLine(GetHighText(mH_TT_BGSTATS))
	tooltip:AddDoubleLine(mH_TT_LASTBG,Should_I_Be_Red(LastBG))
	tooltip:AddDoubleLine(mH_TT_BGHONOR,Should_I_Be_Red(BGHonor))
	tooltip:AddDoubleLine(mH_TT_AVGHONOR,Should_I_Be_Red(format("%d",AvgHonor)))
	tooltip:AddDoubleLine(mH_TT_BGCOUNT,Should_I_Be_Red(BGCount))
	tooltip:AddDoubleLine(mH_TT_BGTTL,Should_I_Be_Red(BGTotal))
	tooltip:AddDoubleLine(mH_TT_PERHR,Should_I_Be_Red(format("%d",perHour)))
	tooltip:AddDoubleLine(mH_TT_BGDMG,RedText(BGDmg))
	tooltip:AddDoubleLine(mH_TT_BGHEAL,GreenText(BGHeals))
	tooltip:AddLine("----------------------------------")
	tooltip:AddDoubleLine(mH_TT_GOALTEXT,GreenText(HonorGoal))
	tooltip:AddDoubleLine(mH_TT_GOALTEXT2,GetHighText(HonorGoalFinal))
	tooltip:AddDoubleLine(mH_TT_GOALTIME,GreenText("~"..HonorGoalTime))
	tooltip:AddLine(" ")
	tooltip:AddLine(mH_TT_CLICKTOGGLE)
	tooltip:AddLine(GreenText(mH_TT_RCLICK),nil,nil,nil,1)
	tooltip.updateFunction = dataobj.OnTooltipShow
 else
 --[[
	 Conquest
 --]]
	local teamTwos, teamThrees, teamFives = {}, {}, {}
	local ConquestPossible
	local CurrentSeason = GetCurrentArenaSeason()
	local Team2Final, Team3Final, Team5Final
	
	teamTwos = { ["arenaName"] = "None", ["arenaRating"] = 0 }
	teamThrees = { ["arenaName"] = "None", ["arenaRating"] = 0 }
	teamFives = { ["arenaName"] = "None", ["arenaRating"] = 0 }
	
 	for i=1, MAX_ARENA_TEAMS do
		local teamName, teamSize, teamRating = GetArenaTeam(i)
		
		if (teamName) then
			if (i==1) then
			--2v2
			teamTwos["arenaName"] = teamName
			teamTwos["arenaRating"] = teamRating
			end
			if (i==2) then
			--3v3
			teamThrees["arenaName"] = teamName
			teamThrees["arenaRating"] = teamRating
			end
			if (i==3) then
			--5v5
			teamFives["arenaName"] = teamName
			teamFives["arenaRating"] = teamRating
			end
			
		end
	end
	
 if (SessionCP>0) then
		if (startTime) then perHour = SessionCP / sessionTime * 3600 end
	else
		perHour = 0
	end
	--xpPerHour = 
	if (fname=="Alliance") then
        fname = BlueText(UnitFactionGroup("player"))
     else
        fname = RedText(UnitFactionGroup("player"))
     end
	 if (ConquestGoal>0) then
	 	ConquestGoalFinal = ConquestGoal - ConqTotal
		if (WGCount>0) then
			if (AvgCP>0) then
				ConquestGoalTime = ConquestGoalFinal/AvgCP
				ConquestGoalTime = format("%d",ConquestGoalTime)
			else
				ConquestGoalTime = "N/A"
			end
		else
			ConquestGoalTime = "N/A"
		end
	 else
	 	ConquestGoalFinal = "N/A"
	 end
	 if (ConquestGoal>0) then
		if (ConqCap-ConqCapTotal>ConquestGoalFinal) then
			ConquestPossible = GreenText("Yes")
		else
			ConquestPossible = RedText("No")
		end
	 end
	 if (ConquestGoal==0) then
	 ConquestGoalTime = GetHighText("N/A")
	 elseif (ConquestGoal<ConqTotal) then
		ConquestGoalFinal = GreenText("Goal Accomplished!")
	 end
	
	tooltip:AddLine(pname.." - "..rname.." ("..fname..")")
	tooltip:AddLine(GetHighText(mqAddon.." v"..mqVersion))
	tooltip:AddLine(GetHighText(mC_TT_SEASONTXT..CurrentSeason))
	tooltip:AddLine(" ")
	tooltip:AddDoubleLine(mC_TT_STATUS,InBGtext)
	tooltip:AddLine("----------------------------------")
	tooltip:AddDoubleLine(GetHighText(mC_TT_WGSTATS))
	tooltip:AddDoubleLine(mC_TT_LASTWG,Should_I_Be_Red(LastBG))
	tooltip:AddDoubleLine(mC_TT_SESSIONCP,Should_I_Be_Red(SessionCP))
	tooltip:AddDoubleLine(mC_TT_AVGPTS,Should_I_Be_Red(format("%d",AvgCP)))
	tooltip:AddDoubleLine(mC_TT_BGCOUNT,Should_I_Be_Red(WGCount))
	tooltip:AddDoubleLine(mC_TT_CAP,Should_I_Be_Red(ConqCapTotal).."/"..GreenText(ConqCap))
	tooltip:AddDoubleLine(mC_TT_PERHR,Should_I_Be_Red(format("%d",perHour)))
	tooltip:AddLine("----------------------------------")
	tooltip:AddDoubleLine(mC_TT_GOALTEXT,GreenText(ConquestGoal))
	tooltip:AddDoubleLine(mC_TT_GOALTEXT2,GetHighText(ConquestGoalFinal))
	tooltip:AddDoubleLine(mC_TT_GOALTIME,GreenText("~"..ConquestGoalTime))
	tooltip:AddDoubleLine(mC_TT_POSSIBLE,ConquestPossible)
	tooltip:AddLine("----------------------------------")
	tooltip:AddLine(GetHighText("2v2 Team Statistics"))
	tooltip:AddLine("Team Name: "..GreenText(teamTwos["arenaName"]))
	tooltip:AddLine("Team Rating: "..GetLBlueText(teamTwos["arenaRating"]))
	tooltip:AddLine(GetHighText("3v3 Team Statistics"))
	tooltip:AddLine("Team Name: "..GreenText(teamThrees["arenaName"]))
	tooltip:AddLine("Team Rating: "..GetLBlueText(teamThrees["arenaRating"]))
	tooltip:AddLine(GetHighText("5v5 Team Statistics"))
	tooltip:AddLine("Team Name: "..GreenText(teamFives["arenaName"]))
	tooltip:AddLine("Team Rating: "..GetLBlueText(teamFives["arenaRating"]))
	tooltip:AddLine(" ")
	tooltip:AddLine(mH_TT_CLICKTOGGLE)
	tooltip:AddLine(GreenText(mC_TT_RCLICK),nil,nil,nil,1)
	tooltip.updateFunction = dataobj.OnTooltipShow
 end
end

SLASH_GOAL1 = "/goal"
function SlashCmdList.GOAL(msg)

local cmd = msg:lower()

if (cmd=="") then
	
	ShortPrint(mH_TXT_GOALSYN)

elseif (tonumber(msg)>40000) then

	ShortPrint(mH_TXT_GOALERR)
	
else

	if (mhTooltip==1) then
	--honor
		HonorGoal = tonumber(msg)
		RaidNotice_AddMessage(RaidWarningFrame, mH_TXT_GOALSET..HonorGoal, ChatTypeInfo["RAID_WARNING"])
		ShortPrint(mH_TXT_GOALSET..HonorGoal)
		Splashed = 0
		frame:CURRENCY_DISPLAY_UPDATE()
	
	else
	
	--conquest
		ConquestGoal = tonumber(msg)
		RaidNotice_AddMessage(RaidWarningFrame, mq_TXT_GOALSET..ConquestGoal, ChatTypeInfo["RAID_WARNING"])
		ShortPrint(mq_TXT_GOALSET..ConquestGoal)
		Splashed = 0
		frame:CURRENCY_DISPLAY_UPDATE()
	
	end
	
end

end

SLASH_AJBG1 = "/mh"
function SlashCmdList.AJBG(msg)
local cmd = msg:lower()

if (cmd=="ahquest") then
	if (mhAutoQuest==0) then
		mhAutoQuest = 1
		ShortPrint("Auto Quest Tracker Hider ON")
	else
		mhAutoQuest = 0
		ShortPrint("Auto Quest Tracker Hider OFF")
	end
elseif (cmd=="tt") then
if (mhTooltip==1) then
	mhTooltip = 2
elseif (mhTooltip==2) then
	mhTooltip = 1
end
elseif (cmd=="goal") then
ShortPrint(mH_TXT_GOALSYN)
elseif (cmd=="help") then
ShortPrint(mh_HELP_ONE)
ShortPrint(mh_HELP_TWO)
ShortPrint(mh_HELP_THREE)
ShortPrint(mh_HELP_FOUR)
ShortPrint(mh_HELP_FIVE..mhVersion)
elseif (cmd=="secret") then
print("Saved date: "..myHonor_DATE)
print("Saved DAY: "..string.sub(LastDate,4,5))
print("Current DAY: "..string.sub(date(),4,5))
print("yesterDAY: "..tonumber(string.sub(date(),4,5))-1)
elseif (cmd=="bgstat") then
frame:CallBGStat()
elseif (cmd=="reset") then
SessionHonor = 0
BGHonor = 0
BGCount = 0
AvgHonor = 0
LastBG = 0
TotalDmg = 0
TotalHeals = 0
else
ShortPrint(mh_HELP_ONE)
ShortPrint(mh_HELP_TWO)
ShortPrint(mh_HELP_THREE)
ShortPrint(mh_HELP_FOUR)
ShortPrint(mh_HELP_FIVE..mhVersion)
end

end

function ShortPrint(text)

return DEFAULT_CHAT_FRAME:AddMessage(text, 0.41, 0.80, 0.94)

end

function frame:CallBGStat()

if (BGstatistics==true) then
	BGstatistics=false
	ShortPrint("No longer tracking BG damage.")
	else
	BGstatistics=true
	ShortPrint("BG Damage tracking enabled.")
end

end

function dataobj.OnClick(self, button)
	if(button == "RightButton") then
		--TogglePVPFrame()
		if (mhTooltip==1) then
			mhTooltip = 2
		elseif (mhTooltip==2) then
			mhTooltip = 1
		end
	else
		if (mhTooltip) then
			if (mhDisplay==12) then
				mhDisplay = 1
			else
				mhDisplay = mhDisplay + 1
			end
		--[[elseif (mhToolTip==2) then
			if (mqDisplay==4) then
				mqDisplay = 1
			else
				mqDisplay = mqDisplay +1
			end]]--
		end

	end
	
	frame:CURRENCY_DISPLAY_UPDATE()
	
end



function frame:CheckHonor()

if (FinallyLoaded==nil) then
StartingHonor = (select(2,GetCurrencyInfo(HONOR_CURRENCY)))
StartingHKs = GetPVPLifetimeStats()
StartingConquest = (select(2,GetCurrencyInfo(CONQUEST_CURRENCY)))
FinallyLoaded = true
end

end

local function texturizeIcon(arg1)
	return format("|T%s:15:15:0:0|t", type(arg1) == "number" and GetItemIcon(arg1) or arg1)
end

--word, opyright Smokey, 2011 All Rights Reserved, released under GNU License #3.
--if you're going to edit, at least give me credit or tell me about it and we can work together
--2010